::	Author:	Xiaoming Tu
::	Date:	2010/04/23
::	Description:
::	  This batch is used to switch two files to a target file name.
::	Installation Guid:
::	  Make sure one file name of the two files is IPV4FileName or 
::  IPV6FileName and another one is TargetFileName.

@ECHO OFF
SET FileLocation=%WINDIR%\System32\drivers\etc
SET IPV4FileName=hosts.ipv4
SET IPV6FileName=hosts.ipv6
SET TargetFileName=hosts

:: If host.ipv6 exits, switch to IPV6, else switch to IPV4
IF EXIST %FileLocation%\%IPV6FileName% (

	:: Switch to IPV6
	CHOICE /M "IPV4 => IPV6?" /T 0005 /D N
	IF ERRORLEVEL 2 GOTO END
	IF ERRORLEVEL 1 ECHO Begin switching...

	REN %FileLocation%\%TargetFileName% %IPV4FileName%
	REN %FileLocation%\%IPV6FileName% %TargetFileName%
	
) ELSE IF EXIST %FileLocation%\%IPV4FileName% (

	:: Switch to IPV4
	CHOICE /M "IPV6 => IPV4?" /T 0005 /D N
	IF ERRORLEVEL 2 GOTO END
	IF ERRORLEVEL 1 ECHO Begin switching...
	
	REN %FileLocation%\%TargetFileName% %IPV6FileName%
	REN %FileLocation%\%IPV4FileName% %TargetFileName%
	
)

ECHO Completed!
EXIT

:END
ECHO Nothing changed!